Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class ProcessSubTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
              org.jbpm.services.task.commands.ProcessSubTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class ProcessSubTaskCommand

extends UserGroupCallbackTaskCommand<Void>

See Also:
  Serialized Form

Field Summary
`protected Map<String,Object>` | `data`

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`ProcessSubTaskCommand()`
`ProcessSubTaskCommand(long taskId, String userId)`
`ProcessSubTaskCommand(long taskId, String userId, Map<String,Object> data)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`
`Map<String,Object>` | `getData()`
`void` | `setData(Map<String,Object> data)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected Map<String,Object> data

Constructor Detail

### ProcessSubTaskCommand

    public ProcessSubTaskCommand()

### ProcessSubTaskCommand

    public ProcessSubTaskCommand(long taskId,
                                 String userId)

### ProcessSubTaskCommand

    public ProcessSubTaskCommand(long taskId,
                                 String userId,
                                 Map<String,Object> data)

Method Detail

### getData

    public Map<String,Object> getData()

### setData

    public void setData(Map<String,Object> data)

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Void>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.